Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class StandardScatterboxConfigurationChecks

    java.lang.Object
      edu.stanford.smi.protegex.widget.scatterbox.StandardScatterboxConfigurationChecks

All Implemented Interfaces:
  Constants

    public class StandardScatterboxConfigurationChecks

extends Object
implements Constants

Description of the class

Author:
  William Grosso

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.widget.scatterbox.Constants
`DIRECT_INSTANCES_ONLY, DOMAIN_VALUE_SLOTS, ENTRY_METACLASS_NAME, ENTRY_SLOT_NAME, FUNCTION_NAME, HIERARCHICAL_INCLUDE_EVERYTHING, HIERARCHICAL_OMIT_ROOTS, HIERARCHICAL_ONLY_INCLUDE_LEAVES, HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN, NULL_SELECTED_COLOR, RANGE_VALUE_SLOTS, RECURSIVE_COPY_DEPTH_FOR_DND, TEXT_SCALING_FACTOR, USE_ALL_INSTANCES`

Constructor Summary
`StandardScatterboxConfigurationChecks()`

Method Summary
`static boolean` | `checkClsTaxonomicStructure(Cls cls)`
`static boolean` | `goodDomainSpecification(KBQueryUtils queryObject, Cls entryCls)`
`static boolean` | `goodRangeSpecification(KBQueryUtils queryObject, Cls entryCls)`
`static boolean` | `slotsAreBound(Collection slots, Cls cls)`
`static boolean` | `slotsAreBoundedRange(Collection slots, Cls cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardScatterboxConfigurationChecks

    public StandardScatterboxConfigurationChecks()

Method Detail

### checkClsTaxonomicStructure

    public static boolean checkClsTaxonomicStructure(Cls cls)

### goodDomainSpecification

    public static boolean goodDomainSpecification(KBQueryUtils queryObject,
                                                  Cls entryCls)

### goodRangeSpecification

    public static boolean goodRangeSpecification(KBQueryUtils queryObject,
                                                 Cls entryCls)

### slotsAreBound

    public static boolean slotsAreBound(Collection slots,
                                        Cls cls)

### slotsAreBoundedRange

    public static boolean slotsAreBoundedRange(Collection slots,
                                               Cls cls)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request